Method: projects.locations.knowledgeBases.documents.reload

Reloads the specified document from its specified source, contentUri or content. The previously loaded content of the document will be deleted. Note: Even when the content of the document has not changed, there still may be side effects because of internal implementation changes.

This method is a long-running operation. The returned Operation type has the following method-specific fields:

Note: The projects.agent.knowledgeBases.documents resource is deprecated; only use projects.knowledgeBases.documents.

HTTP request

POST https://{endpoint}/v2/{name=projects/*/locations/*/knowledgeBases/*/documents/*}:reload

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the document to reload. Format: projects/<Project ID>/locations/<Location ID>/knowledgeBases/<Knowledge Base ID>/documents/<Document ID>

Request body

The request body contains data with the following structure:

JSON representation
{
  "importGcsCustomMetadata": boolean,
  "smartMessagingPartialUpdate": boolean,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "contentUri": string
  // End of mutually exclusive fields.
}
Fields
importGcsCustomMetadata

boolean

Optional. Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI.

smartMessagingPartialUpdate

boolean

Optional. When enabled, the reload request is to apply partial update to the smart messaging allowlist.

The source for document reloading.

If provided, the service will load the contents from the source and update document in the knowledge base.

Reloading from a new document source is allowed for smart messaging documents only. If you want to update the source for other document types, please delete the existing document and create a new one instead. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:

contentUri

string

Optional. The path of gcs source file for reloading document content. For now, only gcs uri is supported.

For documents stored in Google Cloud Storage, these URIs must have the form gs://<bucket-name>/<object-name>.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dialogflow

For more information, see the Authentication Overview.